%global enable_tests 1
%global module_name dtree

Name:           nodejs-%{module_name}
Version:        0.0.7
Release:        1%{?dist}
Summary:        Command-line tool to view the dependency tree of any single js file

License:        MIT
URL:            https://github.com/RP-3/dtree
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
#https://github.com/RP-3/dtree/pull/2
Source1:        LICENSE
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
%endif

%description
A simple command-line tool to display the dependency tree of
a single js file that requires external modules. 

%prep
%setup -q -n package
rm -rf node_modules

cp -p %{SOURCE1} .

%nodejs_fixdep chalk ~0.x
%nodejs_fixdep prompt ~0.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{module_name}/index.js %{buildroot}%{_bindir}/dtree

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha test.js
%endif

%files
%doc README.md LICENSE
%{_bindir}/dtree
%{nodejs_sitelib}/%{module_name}

%changelog
* Mon Dec 08 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.0.7-1
- Initial packaging

